# Uses of Class
it.tdlight.jni.TdApi.ProxyType

## Uses of TdApi.ProxyType in it.tdlight.jni

Subclasses of TdApi.ProxyType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.ProxyTypeHttp`
A HTTP transparent proxy server.
`static final class`
`TdApi.ProxyTypeMtproto`
An MTProto proxy server.
`static final class`
`TdApi.ProxyTypeSocks5`
A SOCKS5 proxy server.
Fields in it.tdlight.jni declared as TdApi.ProxyType
Modifier and Type
Field
Description
`TdApi.ProxyType`
TdApi.AddProxy.`type`
Proxy type.
`TdApi.ProxyType`
TdApi.EditProxy.`type`
Proxy type.
`TdApi.ProxyType`
TdApi.InternalLinkTypeProxy.`type`
Type of the proxy.
`TdApi.ProxyType`
TdApi.Proxy.`type`
Type of the proxy.
`TdApi.ProxyType`
TdApi.TestProxy.`type`
Proxy type.
Constructors in it.tdlight.jni with parameters of type TdApi.ProxyType
Modifier
Constructor
Description
``
`AddProxy(String server, int port, boolean enable, TdApi.ProxyType type)`
Adds a proxy server for network requests.
``
`EditProxy(int proxyId, String server, int port, boolean enable, TdApi.ProxyType type)`
Edits an existing proxy server for network requests.
``
`InternalLinkTypeProxy(String server, int port, TdApi.ProxyType type)`
The link is a link to a proxy.
``
`Proxy(int id, String server, int port, int lastUsedDate, boolean isEnabled, TdApi.ProxyType type)`
Contains information about a proxy server.
``
`TestProxy(String server, int port, TdApi.ProxyType type, int dcId, double timeout)`
Sends a simple network request to the Telegram servers via proxy; for testing only.